﻿--[[
Name: Talismonger-2.0
Revision: $Rev: 26492 $
Author(s): kagaro
Email: sal.scotto@gmail.com
Website: http://www.wowace.com
Documentation: http://wiki.wowace.com/index.php/Talismonger-2.0
SVN: http://svn.wowace.com/root/trunk/TalismongerLib/Talismonger-2.0
Description: A library to provide information about gathering professions.
Dependencies: AceLibrary, AceLocale-2.2, AceEvent-2.0, Babble-Spell-2.2
License: LGPL v2.1
]]

local MAJOR_VERSION = "Talismonger-2.0"
local MINOR_VERSION = tonumber(string.sub("$Revision: 26492 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

if not AceLibrary:HasInstance("AceEvent-2.0") then error(MAJOR_VERSION .. " requires AceEvent-2.0.") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceEvent-2.2.") end
if not AceLibrary:HasInstance("Babble-Spell-2.2") then error(MAJOR_VERSION .. " requires Babble-Spell-2.2.") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x
if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

-- we are an instance of ace locale 
local Talismonger = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)
-- Localizations
Talismonger:RegisterTranslations("enUS", function() return {
-- Herb Radicals
	["Peacebloom"] = true,
	["Silverleaf"] = true,
	["Earthroot"] = true,
	["Mageroyal"] = true,
	["Briarthorn"] = true,
	["Swiftthistle"] = true,
	["Stranglekelp"] = true,
	["Bruiseweed"] = true,
	["Wild Steelbloom"] = true,
	["Grave Moss"] = true,
	["Kingsblood"] = true,
	["Liferoot"] = true,
	["Fadeleaf"] = true,
	["Goldthorn"] = true,
	["Khadgar's Whisker"] = true,
	["Wintersbite"] = true,
	["Firebloom"] = true,
	["Purple Lotus"] = true,
	["Wildvine"] = true,
	["Arthas' Tears"] = true,
	["Sungrass"] = true,
	["Blindweed"] = true,
	["Ghost Mushroom"] = true,
	["Gromsblood"] = true,
	["Golden Sansam"] = true,
	["Dreamfoil"] = true,
	["Mountain Silversage"] = true,
	["Plaguebloom"] = true,
	["Icecap"] = true,
	["Bloodvine"] = true,
	["Black Lotus"] = true,
	["Felweed"] = true,
	["Dreaming Glory"] = true,
	["Terocone"] = true,
	["Ancient Lichen"] = true,
	["Blood Thistle"] = true,
	["Mana Thistle"] = true,
	["Netherbloom"] = true,
	["Nightmare Vine"] = true,
	["Ragveil"] = true,
	["Flame Cap"] = true,
	["Fel Lotus"] = true,
-- Metal Radicals
	["Copper Ore"] = true,
	["Tin Ore"] = true,
	["Silver Ore"] = true,
	["Iron Ore"] = true,
	["Gold Ore"] = true,
	["Mithril Ore"] = true,
	["Dark Iron Ore"] = true,
	["Truesilver Ore"] = true,
	["Thorium Ore"] = true,
	["Elementium Ore"] = true,
	["Fel Iron Ore"] = true,
	["Adamantite Ore"] = true,
	["Eternium Ore"] = true,
	["Khroium Ore"] = true,
	["Underlight Ore"] = true, -- copper and tin
	["Lead Ore"] = true,
	["Rethban Ore"] = true, --quest
	["Incendicite Ore"] = true,
	["Umbral Ore"] = true,
	["Elunite Ore"] = true,
	["Lesser Bloodstone Ore"] = true, --quest
	["Indurium Ore"] = true,
-- Metal Nodes
	["Copper Vein"] = true,
	["Tin Vein"] = true,
	["Iron Deposit"] = true,
	["Silver Vein"] = true,
	["Gold Vein"] = true,
	["Mithril Deposit"] = true,
	["Ooze Covered Mithril Deposit"] = true,
	["Truesilver Deposit"] = true,
	["Ooze Covered Silver Vein"] = true,
	["Ooze Covered Gold Vein"] = true,
	["Ooze Covered Truesilver Deposit"] = true,
	["Ooze Covered Rich Thorium Vein"] = true,
	["Ooze Covered Thorium Vein"] = true,
	["Small Thorium Vein"] = true,
	["Rich Thorium Vein"] = true,
	["Hakkari Thorium Vein"] = true,
	["Dark Iron Deposit"] = true,
	["Lesser Bloodstone Deposit"] = true,
	["Incendicite Mineral Vein"] = true,
	["Indurium Mineral Vein"] = true,
	["Fel Iron Deposit"] = true,
	["Adamantite Deposit"] = true,
	["Rich Adamantite Deposit"] = true,
	["Khorium Vein"] = true,
	["Large Obsidian Chunk"] = true,
	["Small Obsidian Chunk"] = true,
-- Fish nodes
	["Floating Wreckage"] = true,
	["Patch of Elemental Water"] = true,
	["Floating Debris"] = true,
	["Oil Spill"] = true,
	["Firefin Snapper School"] = true,
	["Greater Sagefish School"] = true,
	["Oily Blackmouth School"] = true,
	["Sagefish School"] = true,
	["School of Deviate Fish"] = true,
	["Stonescale Eel Swarm"] = true,
	["Muddy Churning Water"] = true,
	["Highland Mixed School"] = true,  
	["Pure Water"] = true,            
	["Bluefish School"] = true,
	["Feltail School"] = true, 
	["Mudfish School"] = true, 
	["School of Darter"] = true, 
	["Sporefish School"] = true,  
	["Steam Pump Flotsam"] = true, 
	["School of Tastyfish"] = true,
-- Fish Radicals
	["Sar'theris Striker"] = true,
	["Savage Coast Blue Sailfin"] = true,
	["Misty Reed Mahi Mahi"] = true,
	["Feralas Ahi"] = true,
	["Spotted Sunfish"] = true,
	["Lightning Eel"] = true,
	["Plated Armorfish"] = true,
	["Darkshore Grouper"] = true,
	["Speckled Tastyfish"] = true,
	["Keefer's Angelfish"] = true,
	["Dezian Queenfish"] = true,
	["Brownell's Blue Striped Racer"] = true,
	["Stonescale Eel"] = true,
	["Oily Blackmouth"] = true,
	["Firefin Snapper"] = true,
	["Oil Covered Fish"] = true,
	["Sickly Looking Fish"] = true,
	["Raw Brilliant Smallfish"] = true,
	["Raw Bristle Whisker Catfish"] = true,
	["Raw Glossy Mightfish"] = true,
	["Raw Greater Sagefish"] = true,
	["Raw Loch Frenzy"] = true,
	["Raw Longjaw Mud Snapper"] = true,
	["Raw Mithril Head Trout"] = true,
	["Raw Nightfin Snapper"] = true,
	["Raw Rainbow Fin Albacore"] = true,
	["Raw Redgill"] = true,
	["Raw Rockscale Cod"] = true,
	["Raw Sagefish"] = true,
	["Raw Slitherskin Mackerel"] = true,
	["Raw Spotted Yellowtail"] = true,
	["Raw Summer Bass"] = true,
	["Raw Sunscale Salmon"] = true,
	["Raw Whitescale Salmon"] = true,
	["Darkclaw Lobster"] = true,
	["Deviate Fish"] = true,
	["Large Raw Mightfish"] = true,
	["Winter Squid"] = true,
	["Felblood Snapper"] = true,
	["Figluster's Mudfish"] = true,
	["Furious Crawdad"] = true,
	["Golden Darter"] = true,
	["Icefin Bluefish"] = true,
	["Spotted Feltail"] = true,
	["Zangarian Sporefish"] = true,
-- Minerals and elements Radicals
	["Mote of Fire"] = true,
	["Mote of Earth"] = true,
	["Mote of Life"] = true,
	["Mote of Mana"] = true,
	["Mote of Shadow"] = true, -- via engineer Extract Gas
	["Mote of Water"] = true, -- fished
	["Living Ruby"] = true,
	["Noble Topaz"] = true,
	["Star of Elune"] = true,
	["Nightseye"] = true,
	["Dawnstone"] = true,
	["Malachite"] = true,
	["Tigerseye"] = true,
	["Shadowgem"] = true,
	["Moss Agate"] = true,
	["Lesser Moonstone"] = true,
	["Jade"] = true,
	["Aquamarine"] = true,
	["Star Ruby"] = true,
	["Blue Sapphire"] = true,
	["Huge Emerald"] = true,
	["Azerothian Diamond"] = true,
	["Large Opal"] = true,
	["Blood of the Mountain"] = true,
	["Large Obsidian Shard"] = true,
	["Small Obsidian Shard"] = true,
	["Souldarite"] = true,
	["Black Diamond"] = true,
	["Talasite"] = true,
	["Citrine"] = true,
	["Black Vitriol"] = true,
	["Arcane Crystal"] = true,
	["Deep Peridot"] = true,
	["Shadow Draenite"] = true,
	["Golden Draenite"] = true,
	["Blood Garnet"] = true,
	["Flame Spessarite"] = true,
	["Azure Moonstone"] = true,
	["Rough Stone"] = true,
	["Coarse Stone"] = true,
	["Dense Stone"] = true,
	["Heavy Stone"] = true,
	["Solid Stone"] = true,
-- Leather Radicals
	["Knothide Leather"] = true,
	["Heavy Leather"] = true,
	["Thick Leather"] = true,
	["Light Leather"] = true,
	["Medium Leather"] = true,
	["Rugged Leather"] = true,
	["Ruined Leather Scraps"] = true,
	["Light Hide"] = true,
	["Medium Hide"] = true,
	["Thick Hide"] = true,
	["Rugged Hide"] = true,
	["Heavy Hide"] = true,
	["Shadowcat Hide"] = true,
	["Black Whelp Scale"] = true,
	["Deviate Scale"] = true,
	["Perfect Deviate Scale"] = true,
	["Red Whelp Scale"] = true,
	["Green Whelp Scale"] = true,
	["Scorpid Scale"] = true,
	["Worn Dragonscale"] = true,
	["Turtle Scale"] = true,
	["Thick Wolfhide"] = true,
	["Green Dragonscale"] = true,
	["Heavy Scorpid Scale"] = true,
	["Chimera Leather"] = true,
	["Warbear Leather"] = true,
	["Frostsaber Leather"] = true,
	["Black Dragonscale"] = true,
	["Blue Dragonscale"] = true,
	["Red Dragonscale"] = true,
	["Brillian Chromatic Scale"] = true,
	["Dreamscale"] = true,
	["Scale of Onyxia"] = true,
	["Primal Tiger Leather"] = true,
	["Primal Bat Leather"] = true,
	["Devilsaur Leather"] = true,
	["Silithid Chitin"] = true,
	["Heavy Silithid Carapace"] = true,
	["Light Silithid Carapace"] = true,
	["Fel Scales"] = true,
	["Core Leather"] = true,
	["Knothide Leather Scraps"] = true,
	["Thick Clefthoof Leather"] = true,
	["Cobra Scales"] = true,
	["Fel Hide"] = true,
	["Crystal Infused Leather"] = true,
	["Zhevra Leather"] = true,
	["Nether Dragonscales"] = true,
	["Wind Scales"] = true,
-- Misc Radicals collected via world containers and monsters
	["Blood of Heroes"] = true,
	["Blue Power Crystal"] = true,
	["Green Power Crystal"] = true,
	["Red Power Crystal"] = true,
	["Yellow Power Crystal"] = true,
	["Black Pearl"] = true,
	["Golden Pearl"] = true,
	["Iridescent Pearl"] = true,
	["Jaggal Pearl"] = true,
	["Shadow Pearl"] = true,
	["Small Lustrous Pearl"] = true,
	["Blue Pearl"] = true,
	["Righteous Orb"] = true,
	["Sharp Claw"] = true,
	["Large Venom Sac"] = true,
	["Small Flame Sac"] = true,
	["Large Fang"] = true,
	["Volatile Rum"] = true,
	["Elemental Earth"] = true,
	["Essence of Earth"] = true,
	["Core of Earth"] = true,
	["Elemental Air"] = true,
	["Essence of Air"] = true,
	["Elemental Water"] = true,
	["Essence of Water"] = true,
	["Globe of Water"] = true,
	["Elemental Fire"] = true,
	["Essence of Fire"] = true,
	["Heart of Fire"] = true,
	["Breath of Wind"] = true,
	["Ichor of Undeath"] = true,
	["Living Essence"] = true,
	["Essence of Undeath"] = true,
	["Massive Mojo"] = true,
	["Powerful Mojo"] = true,
	["Flask of Mojo"] = true,
	["Flask of Big Mojo"] = true,
	["Linen Cloth"] = true,
	["Wool Cloth"] = true,
	["Silk Cloth"] = true,
	["Mageweave Cloth"] = true,
	["Runecloth"] = true,
	["Demonic Rune"] = true,
	["Lava Core"] = true,
	["Fiery Core"] = true,
	["Guardian Stone"] = true,
	["Frozen Rune"] = true,
	["Wicked Claw"] = true,
	["Dark Rune"] = true,
	["Skin of Shadow"] = true,
	["Sulfuron Ingot"] = true,
	["Jet Black Feather"] = true,
	["Neatherweave Cloth"] = true,
	["Larval Acid"] = true,
	["Fused Wiring"] = true,
	["Shadow Silk"] = true,
	["Thick Spider's Silk"] = true,
	["Heart of Wild"] = true,
	["Ironweb Spider Silk"] = true,
	["Slimy Murloc Scale"] = true,
	["Long Tail Feather"] = true,
	["Raptor Hide"] = true,
	["Thick Murloc Scale"] = true,
	["Coarse Gorilla Hair"] = true,
	["Ironfeather"] = true,
	["Spider's Silk"] = true,
	["Long Elegant Feather"] = true,
	["Felcloth"] = true,
	["Netherweb Spider Silk"] = true,
	["Soul Essence"] = true,
-- Misc world nodes 
	["Battered Chest"] = true,
	["Battered Footlocker"] = true,
	["Bound Adamantite Chest"] = true,
	["Bound Fel Iron Chest"] = true,
	["Box of Assorted Parts"] = true,
	["Burial Chest"] = true,
	["Coilskar Chest"] = true,
	["Dented Footlocker"] = true,
	["Giant Clam"] = true,
	["Large Battered Chest"] = true,
	["Large Iron Bound Chest"] = true,
	["Large Mithril Bound Chest"] = true,
	["Large Solid Chest"] = true,
	["Locked Chest"] = true,
	["Mossy Footlocker"] = true,
	["Reinforced Fel Iron Chest"] = true,
	["Rusty Chest"] = true,
	["Scarlet Footlocker"] = true,
	["Solid Adamantite Chest"] = true,
	["Solid Chest"] = true,
	["Solid Fel Iron Chest"] = true,
	["Stolen Chest"] = true,
	["Tattered Chest"] = true,
	["Un'Goro Dirt Pile"] = true,
	["Waterlogged Footlocker"] = true,
	["Wicker Chest"] = true,
	["Worn Chest"] = true,
-- More quest items
	["Glowcap"] = true,
}end)
Talismonger:RegisterTranslations("esES", function() return {
	["Silverleaf"] = "Hojaplata",
	["Peacebloom"] = "Flor de paz",
	["Mageroyal"] = "Marregal",
	["Bruiseweed"] = "Hierba cardenal",
	["Kingsblood"] = "Sangrerregia",
	["Fadeleaf"] = "P\195\161lida",
	["Stranglekelp"] = "Alga estranguladora",
	["Liferoot"] = "Vidarra\195\173z",
	["Briarthorn"] = "Brezospina",
	["Earthroot"] = "Ra\195\173z de tierra",
	["Sungrass"] = "Solea",
	["Blindweed"] = "Carolina",
	["Gromsblood"] = "Gromsanguina",
	["Dreamfoil"] = "Hojasue\195\177o",
	["Firebloom"] = "Flor de Fuego",
	["Arthas' Tears"] = "L\195\161grimas de Arthas",
	["Purple Lotus"] = "Loto morado",
	["Goldthorn"] = "Espina de oro",
	["Wildvine"] = "Atriplex salvaje",
	["Grave Moss"] = "Moho de tumba",
	["Mountain Silversage"] = "Salviargenta de monta\195\177a",
	["Black Lotus"] = "Loto negro",
	["Ghost Mushroom"] = "Champi\195\177\195\179n fantasma",
	["Golden Sansam"] = "Sansam dorado",
	["Icecap"] = "Setelo",
	["Khadgar's Whisker"] = "Mostacho de Khadgar",
	["Plaguebloom"] = "Flor de peste",
	["Swiftthistle"] = "Cardoveloz",
	["Wild Steelbloom"] = "Ac\195\169rita salvaje",
	["Wintersbite"] = "Ivernalia",
	-- tbc
	--["Felweed"] = true,
	--["Bloodthistle"] = true,
	--["Mana Thistle"] = true,
	--["Netherbloom"] = true,
	--["Nightmare Vine"] = true,
	--["Ragveil"] = true,
	--["Terocone"] = true,
	--["Flame Cap"] = true,
	--["Dreaming Glory"] = true,
	--["Fel Lotus"] = true,
	--["Ancient Lichen"] = true,
	-- Metal Radicals
	--	["Copper Ore"] = true,
	--	["Tin Ore"] = true,
	--	["Silver Ore"] = true,
	--	["Iron Ore"] = true,
	--	["Gold Ore"] = true,
	--	["Mithril Ore"] = true,
	--	["Dark Iron Ore"] = true,
	--	["Truesilver Ore"] = true,
	--	["Thorium Ore"] = true,
	--	["Elementium Ore"] = true,
	--	["Fel Iron Ore"] = true,
	--	["Adamantite Ore"] = true,
	--	["Eternium Ore"] = true,
	--	["Khroium Ore"] = true,
	--	["Underlight Ore"] = true, -- copper and tin
	--	["Lead Ore"] = true,
	--	["Rethban Ore"] = true, --quest
	--	["Incendicite Ore"] = true,
	--	["Umbral Ore"] = true,
	--	["Elunite Ore"] = true,
	--	["Lesser Bloodstone Ore"] = true, --quest
	--	["Indurium Ore"] = true,
	-- Metal Nodes
	--	["Copper Vein"] = true,
	--	["Tin Vein"] = true,
	--	["Iron Deposit"] = true,
	--	["Silver Vein"] = true,
	--	["Gold Vein"] = true,
	--	["Mithril Deposit"] = true,
	--	["Ooze Covered Mithril Deposit"] = true,
	--	["Truesilver Deposit"] = true,
	--	["Ooze Covered Silver Vein"] = true,
	--	["Ooze Covered Gold Vein"] = true,
	--	["Ooze Covered Truesilver Deposit"] = true,
	--	["Ooze Covered Rich Thorium Vein"] = true,
	--	["Ooze Covered Thorium Vein"] = true,
	--	["Small Thorium Vein"] = true,
	--	["Rich Thorium Vein"] = true,
	--	["Hakkari Thorium Vein"] = true,
	--	["Dark Iron Deposit"] = true,
	--	["Lesser Bloodstone Deposit"] = true,
	--	["Incendicite Mineral Vein"] = true,
	--	["Indurium Mineral Vein"] = true,
	--	["Fel Iron Deposit"] = true,
	--	["Adamantite Deposit"] = true,
	--	["Rich Adamantite Deposit"] = true,
	--	["Khorium Vein"] = true,
	--	["Large Obsidian Chunk"] = true,
	--	["Small Obsidian Chunk"] = true,
})
Talismonger:RegisterTranslations("zhTW", function() return {
	["Silverleaf"] = "銀葉草",
	["Peacebloom"] = "寧神花",
	["Mageroyal"] = "魔皇草",
	["Bruiseweed"] = "跌打草",
	["Kingsblood"] = "皇血草",
	["Fadeleaf"] = "枯葉草",
	["Stranglekelp"] = "荊棘藻",
	["Liferoot"] = "活根草",
	["Briarthorn"] = "石南草",
	["Earthroot"] = "地根草",
	["Sungrass"] = "太陽草",
	["Blindweed"] = "盲目草",
	["Gromsblood"] = "格羅姆之血",
	["Dreamfoil"] = "夢葉草",
	["Firebloom"] = "火焰花",
	["Arthas' Tears"] = "阿薩斯之淚",
	["Purple Lotus"] = "紫蓮花",
	["Goldthorn"] = "金棘草",
	["Wildvine"] = "野葡萄藤",
	["Grave Moss"] = "墓地苔",
	["Mountain Silversage"] = "山鼠草",
	["Black Lotus"] = "黑蓮花",
	["Ghost Mushroom"] = "幽靈菇",
	["Golden Sansam"] = "黃金蔘",
	["Icecap"] = "冰蓋草",
	["Khadgar's Whisker"] = "卡德加的鬍鬚",
	["Plaguebloom"] = "瘟疫花",
	["Swiftthistle"] = "雨燕草",
	["Wild Steelbloom"] = "野鋼花",
	["Wintersbite"] = "冬刺草",
	--["Felweed"] = true,
	--["Bloodthistle"] = true,
	--["Mana Thistle"] = true,
	--["Netherbloom"] = true,
	--["Nightmare Vine"] = true,
	--["Ragveil"] = true,
	--["Terocone"] = true,
	--["Flame Cap"] = true,
	--["Dreaming Glory"] = true,
	--["Fel Lotus"] = true,
	--["Ancient Lichen"] = true,
	-- Metal Radicals
	--	["Copper Ore"] = true,
	--	["Tin Ore"] = true,
	--	["Silver Ore"] = true,
	--	["Iron Ore"] = true,
	--	["Gold Ore"] = true,
	--	["Mithril Ore"] = true,
	--	["Dark Iron Ore"] = true,
	--	["Truesilver Ore"] = true,
	--	["Thorium Ore"] = true,
	--	["Elementium Ore"] = true,
	--	["Fel Iron Ore"] = true,
	--	["Adamantite Ore"] = true,
	--	["Eternium Ore"] = true,
	--	["Khroium Ore"] = true,
	--	["Underlight Ore"] = true, -- copper and tin
	--	["Lead Ore"] = true,
	--	["Rethban Ore"] = true, --quest
	--	["Incendicite Ore"] = true,
	--	["Umbral Ore"] = true,
	--	["Elunite Ore"] = true,
	--	["Lesser Bloodstone Ore"] = true, --quest
	--	["Indurium Ore"] = true,
	-- Metal Nodes
	--	["Copper Vein"] = true,
	--	["Tin Vein"] = true,
	--	["Iron Deposit"] = true,
	--	["Silver Vein"] = true,
	--	["Gold Vein"] = true,
	--	["Mithril Deposit"] = true,
	--	["Ooze Covered Mithril Deposit"] = true,
	--	["Truesilver Deposit"] = true,
	--	["Ooze Covered Silver Vein"] = true,
	--	["Ooze Covered Gold Vein"] = true,
	--	["Ooze Covered Truesilver Deposit"] = true,
	--	["Ooze Covered Rich Thorium Vein"] = true,
	--	["Ooze Covered Thorium Vein"] = true,
	--	["Small Thorium Vein"] = true,
	--	["Rich Thorium Vein"] = true,
	--	["Hakkari Thorium Vein"] = true,
	--	["Dark Iron Deposit"] = true,
	--	["Lesser Bloodstone Deposit"] = true,
	--	["Incendicite Mineral Vein"] = true,
	--	["Indurium Mineral Vein"] = true,
	--	["Fel Iron Deposit"] = true,
	--	["Adamantite Deposit"] = true,
	--	["Rich Adamantite Deposit"] = true,
	--	["Khorium Vein"] = true,
	--	["Large Obsidian Chunk"] = true,
	--	["Small Obsidian Chunk"] = true,
})
Talismonger:RegisterTranslations("koKR", function() return {
-- Herb Radicals
	["Silverleaf"] = "은엽수 덤불",
	["Peacebloom"] = "평온초",
	["Mageroyal"] = "마법초",
	["Bruiseweed"] = "생채기풀",
	["Kingsblood"] = "왕꽃잎풀",
	["Fadeleaf"] = "미명초",
	["Stranglekelp"] = "갈래물풀",
	["Liferoot"] = "생명의 뿌리",
	["Briarthorn"] = "찔레가시",
	["Earthroot"] = "뱀뿌리",
	["Sungrass"] = "태양풀",
	["Blindweed"] = "실명초",
	["Gromsblood"] = "그롬의 피",
	["Dreamfoil"] = "꿈풀",
	["Firebloom"] = "화염초",
	["Arthas' Tears"] = "아서스의 눈물",
	["Purple Lotus"] = "보라 연꽃",
	["Goldthorn"] = "황금가시",
	["Wildvine"] = "야생덩굴",
	["Grave Moss"] = "무덤이끼",
	["Mountain Silversage"] = "은초롱이",
	["Black Lotus"] = "검은 연꽃",
	["Ghost Mushroom"] = "유령버섯",
	["Golden Sansam"] = "황금 산삼",
	["Icecap"] = "얼음송이",
	["Khadgar's Whisker"] = "카드가의 수염",
	["Plaguebloom"] = "역병초",
	["Swiftthistle"] = "토끼엉겅퀴풀",
	["Wild Steelbloom"] = "야생 철쭉",
	["Wintersbite"] = "겨울서리풀",
	["Felweed"] = "지옥풀",
	["Bloodthistle"] = "피 엉겅퀴",
	["Mana Thistle"] = "마나 엉겅퀴",
	["Netherbloom"] = "황천꽃", --check
	["Nightmare Vine"] = "악몽의 덩굴",
	["Ragveil"] = "가림막이버섯", --check
	["Terocone"] = "테로열매",
	["Flame Cap"] = "불꽃송이", --check
	["Dreaming Glory"] = "꿈초롱이",
	["Fel Lotus"] = "지옥 연꽃", --check
	["Ancient Lichen"] = "고대 이끼",
	-- Metal Radicals
	--["Copper Ore"] = true,
	--	["Tin Ore"] = true,
	--	["Silver Ore"] = true,
	--	["Iron Ore"] = true,
	--	["Gold Ore"] = true,
	--	["Mithril Ore"] = true,
	--	["Dark Iron Ore"] = true,
	--	["Truesilver Ore"] = true,
	--	["Thorium Ore"] = true,
	--	["Elementium Ore"] = true,
	--	["Fel Iron Ore"] = true,
	--	["Adamantite Ore"] = true,
	--	["Eternium Ore"] = true,
	--	["Khroium Ore"] = true,
	--	["Underlight Ore"] = true, -- copper and tin
	--	["Lead Ore"] = true,
	--	["Rethban Ore"] = true, --quest
	--	["Incendicite Ore"] = true,
	--	["Umbral Ore"] = true,
	--	["Elunite Ore"] = true,
	--	["Lesser Bloodstone Ore"] = true, --quest
	--	["Indurium Ore"] = true,
	-- Metal Nodes
	--	["Copper Vein"] = true,
	--	["Tin Vein"] = true,
	--	["Iron Deposit"] = true,
	--	["Silver Vein"] = true,
	--	["Gold Vein"] = true,
	--	["Mithril Deposit"] = true,
	--	["Ooze Covered Mithril Deposit"] = true,
	--	["Truesilver Deposit"] = true,
	--	["Ooze Covered Silver Vein"] = true,
	--	["Ooze Covered Gold Vein"] = true,
	--	["Ooze Covered Truesilver Deposit"] = true,
	--	["Ooze Covered Rich Thorium Vein"] = true,
	--	["Ooze Covered Thorium Vein"] = true,
	--	["Small Thorium Vein"] = true,
	--	["Rich Thorium Vein"] = true,
	--	["Hakkari Thorium Vein"] = true,
	--	["Dark Iron Deposit"] = true,
	--	["Lesser Bloodstone Deposit"] = true,
	--	["Incendicite Mineral Vein"] = true,
	--	["Indurium Mineral Vein"] = true,
	--	["Fel Iron Deposit"] = true,
	--	["Adamantite Deposit"] = true,
	--	["Rich Adamantite Deposit"] = true,
	--	["Khorium Vein"] = true,
	--	["Large Obsidian Chunk"] = true,
	--	["Small Obsidian Chunk"] = true,
})
Talismonger:RegisterTranslations("frFR", function() return {
-- Herb Radicals
	["Peacebloom"] = "Pacifique",
	["Silverleaf"] = "Feuillargent",
	["Earthroot"] = "Terrestrine",
	["Mageroyal"] = "Mage royal",
	["Briarthorn"] = "Eglantine",
	["Swiftthistle"] = "Chardonnier",
	["Stranglekelp"] = "Etouffante",
	["Bruiseweed"] = "Doulourante",
	["Wild Steelbloom"] = "Aci\195\169rite sauvage",
	["Grave Moss"] = "Tombeline",
	["Kingsblood"] = "Sang-royal",
	["Liferoot"] = "Viet\195\169rule",	
	["Fadeleaf"] = "P\195\162lerette",
	["Goldthorn"] = "Dor\195\169pine",
	["Khadgar's Whisker"] = "Moustache de Khadgar",
	["Wintersbite"] = "Hivernale",
	["Firebloom"] = "Fleur de feu",
	["Purple Lotus"] = "Lotus pourpre",
	["Wildvine"] = "Sauvageonne",
	["Arthas' Tears"] = "Larmes d'Arthas",	
	["Sungrass"] = "Soleillette",
	["Blindweed"] = "Aveuglette",
	["Ghost Mushroom"] = "Champignon fant\195\180me",
	["Gromsblood"] = "Gromsang",
	["Golden Sansam"] = "Sansam dor\195\169",
	["Dreamfoil"] = "Feuiller\195\170ve",
	["Mountain Silversage"] = "Sauge-argent des montagnes",
	["Plaguebloom"] = "Fleur de peste",
	["Icecap"] = "Calot de glace",	
	["Black Lotus"] = "Lotus noir",
	["Felweed"] = "Gangrelette",
	["Dreaming Glory"] = "Glaurier",
	["Terocone"] = "Terroc\195\180ne",
	["Ancient Lichen"] = "Lichen ancien",
	["Bloodthistle"] = "Chardon sanglant",
	["Mana Thistle"] = "Chardon de mana",
	["Netherbloom"] = "N\195\169antine",
	["Nightmare Vine"] = "Cauchemardelle",
	["Ragveil"] = "Voile-mis\195\168re",
	["Flame Cap"] = "Chapeflamme",
	["Fel Lotus"] = "Gangrelotus",
	-- Metal Radicals
	--	["Copper Ore"] = true,
	--	["Tin Ore"] = true,
	--	["Silver Ore"] = true,
	--	["Iron Ore"] = true,
	--	["Gold Ore"] = true,
	--	["Mithril Ore"] = true,
	--	["Dark Iron Ore"] = true,
	--	["Truesilver Ore"] = true,
	--	["Thorium Ore"] = true,
	--	["Elementium Ore"] = true,
	--	["Fel Iron Ore"] = true,
	--	["Adamantite Ore"] = true,
	--	["Eternium Ore"] = true,
	--	["Khroium Ore"] = true,
	--	["Underlight Ore"] = true, -- copper and tin
	--	["Lead Ore"] = true,
	--	["Rethban Ore"] = true, --quest
	--	["Incendicite Ore"] = true,
	--	["Umbral Ore"] = true,
	--	["Elunite Ore"] = true,
	--	["Lesser Bloodstone Ore"] = true, --quest
	--	["Indurium Ore"] = true,
	-- Metal Nodes
	--	["Copper Vein"] = true,
	--	["Tin Vein"] = true,
	--	["Iron Deposit"] = true,
	--	["Silver Vein"] = true,
	--	["Gold Vein"] = true,
	--	["Mithril Deposit"] = true,
	--	["Ooze Covered Mithril Deposit"] = true,
	--	["Truesilver Deposit"] = true,
	--	["Ooze Covered Silver Vein"] = true,
	--	["Ooze Covered Gold Vein"] = true,
	--	["Ooze Covered Truesilver Deposit"] = true,
	--	["Ooze Covered Rich Thorium Vein"] = true,
	--	["Ooze Covered Thorium Vein"] = true,
	--	["Small Thorium Vein"] = true,
	--	["Rich Thorium Vein"] = true,
	--	["Hakkari Thorium Vein"] = true,
	--	["Dark Iron Deposit"] = true,
	--	["Lesser Bloodstone Deposit"] = true,
	--	["Incendicite Mineral Vein"] = true,
	--	["Indurium Mineral Vein"] = true,
	--	["Fel Iron Deposit"] = true,
	--	["Adamantite Deposit"] = true,
	--	["Rich Adamantite Deposit"] = true,
	--	["Khorium Vein"] = true,
	--	["Large Obsidian Chunk"] = true,
	--	["Small Obsidian Chunk"] = true,
})
Talismonger:RegisterTranslations("deDE", function() return {
-- Herb Radicals
	["Peacebloom"] = "Friedensblume",
	["Silverleaf"] = "Silberblatt",
	["Earthroot"] = "Erdwurzel",
	["Mageroyal"] = "Magusk\195\182nigskraut",
	["Briarthorn"] = "Wilddornrose",
	["Swiftthistle"] = "Flitzdistel",
	["Stranglekelp"] = "W\195\188rgetang",
	["Bruiseweed"] = "Beulengras", 
	["Wild Steelbloom"] = "Wildstahlblume",
	["Grave Moss"] = "Grabmoos",
	["Kingsblood"] = "K\195\182nigsblut",
	["Liferoot"] = "Lebenswurz",
	["Fadeleaf"] = "Blassblatt",
	["Goldthorn"] = "Golddorn",
	["Khadgar's Whisker"] = "Khadgars Schnurrbart",
	["Wintersbite"] = "Winterbiss",
	["Firebloom"] = "Feuerbl\195\188te",
	["Purple Lotus"] = "Lila Lotus",
	["Wildvine"] = "Wildranke",
	["Arthas' Tears"] = "Arthas\226\128\153 Tr\195\164nen",
	["Sungrass"] = "Sonnengras",
	["Blindweed"] = "Blindkraut", 
	["Ghost Mushroom"] = "Geisterpilz",
	["Gromsblood"] = "Gromsblut",
	["Golden Sansam"] = "Goldener Sansam",
	["Dreamfoil"] = "Traumblatt",
	["Mountain Silversage"] = "Bergsilberweisling",
	["Plaguebloom"] = "Pestbl\195\188te",
	["Icecap"] = "Eiskappe",
	["Bloodvine"] = "Blutrebe",
	["Black Lotus"] = "Schwarzer Lotus",
	["Felweed"] = "Teufelsgras",
	["Dreaming Glory"] = "Traumwinde",
	["Terocone"] = "Terozapfen",
	["Ancient Lichen"] = "Urflechte",
	["Blood Thistle"] = "Blutdistel",
	["Mana Thistle"] = "Manadistel",
	["Netherbloom"] = "Netherbl\195\188te",
	["Nightmare Vine"] = "Alptraumranke",
	["Ragveil"] = "Zottelkappe",
	["Flame Cap"] = "Flammenkappe",
	["Fel Lotus"] = "Teufelslotus",
-- Metal Radicals
	["Copper Ore"] = "Kupfererz",
	["Tin Ore"] = "Zinnerz",
	["Silver Ore"] = "Silbererz",
	["Iron Ore"] = "Eisenerz",
	["Gold Ore"] = "Golderz",
	["Mithril Ore"] = "Mithrilerz",
	["Dark Iron Ore"] = "Dunkeleisenerz",
	["Truesilver Ore"] = "Echtsilbererz",
	["Thorium Ore"] = "Thoriumerz",
	["Elementium Ore"] = "Elementiumerz",
	["Fel Iron Ore"] = "Teufelseisenerz",
	["Adamantite Ore"] = "Adamantiterz",
	["Eternium Ore"] = "Eterniumerz",
	["Khroium Ore"] = "Khoriumerz",
	--["Underlight Ore"] =  "", -- copper and tin
	["Lead Ore"] = "Bleierz",
	["Rethban Ore"] =  "Rethbanerz", --quest
	["Incendicite Ore"] = "Pyrophorerz",
	["Umbral Ore"] = "Umbralerz",
	["Elunite Ore"] = "Eluniterz",
	["Lesser Bloodstone Ore"] = "Geringes Blutsteinerz", --quest
	["Indurium Ore"] = "Induriumerz",
-- Metal Nodes
	["Copper Vein"] = "Kupfervorkommen",
	["Tin Vein"] = "Zinnvorkommen",
	["Iron Deposit"] = "Eisenvorkommen",
	["Silver Vein"] = "Silbervorkommen",
	["Gold Vein"] = "Goldvorkommen",
	["Mithril Deposit"] = "Mithrilablagerung",
	["Ooze Covered Mithril Deposit"] = "Br\195\188hschlammbedeckte Mithrilablagerung",
	["Truesilver Deposit"] = "Echtsilberablagerung",
	["Ooze Covered Silver Vein"] = "Br\195\188hschlammbedecktes Silbervorkommen",
	["Ooze Covered Gold Vein"] = "Br\195\188hschlammbedecktes Goldvorkommen",
	["Ooze Covered Truesilver Deposit"] = "Br\195\188hschlammbedeckte Echtsilberablagerung",
	["Ooze Covered Rich Thorium Vein"] = "Br\195\188hschlammbedecktes reiches Thoriumvorkommen",
	["Ooze Covered Thorium Vein"] = "Br\195\188hschlammbedecktes Thoriumvorkommen",
	["Small Thorium Vein"] = "Kleines Thoriumvorkommen",
	["Rich Thorium Vein"] = "Reiches Thoriumvorkommen",
	["Hakkari Thorium Vein"] = "Hakkari Thoriumvorkommen",
	["Dark Iron Deposit"] = "Dunkeleisenablagerung",
	["Lesser Bloodstone Deposit"] = "Geringe Blutsteinablagerung",
	["Incendicite Mineral Vein"] = "Pyrophor-Mineralvorkommen",
	["Indurium Mineral Vein"] = "Indurium-Mineralvorkommen",
	["Fel Iron Deposit"] = "Teufelseisenvorkommen",
	["Adamantite Deposit"] = "Adamantitablagerung",
	["Rich Adamantite Deposit"] = "Reiche Adamantitablagerung", -- check
	["Khorium Vein"] = "Khoriumvorkommen",
	["Large Obsidian Chunk"] = "Gro\195\159er Obsidianbrocken",
	["Small Obsidian Chunk"] = "Kleiner Obsidianbrocken",
-- Fish nodes
	["Floating Wreckage"] = "Schwimmende Wrackteile",
	["Patch of Elemental Water"] = "Stelle mit Elementarwasser",
	["Floating Debris"] = "Schwimmende Tr\195\159mmer",
	["Oil Spill"] = "Ölfleck", -- check
	["Firefin Snapper School"] = "Feuerflossenschnapperschwarm",
	["Greater Sagefish School"] = "Schwarm großer Weisenfische",
	["Oily Blackmouth School"] = "Schwarm öliger Schwarzmaulfische",
	["Sagefish School"] = "Weisenfischschwarm",
	["School of Deviate Fish"] =  "Deviatfischschwarm",
	["Stonescale Eel Swarm"] = "Steinschuppenaalschwarm",
	["Muddy Churning Water"] = "Schlammiges aufgewühltes Gewässer",
	--["Highland Mixed School"] = 
	--["Pure Water"] =             
	--["Bluefish School"] = 
	--["Feltail School"] =  
	--["Mudfish School"] =  
	--["School of Darter"] =  
	--["Sporefish School"] =   
	--["Steam Pump Flotsam"] =  
	["School of Tastyfish"] = "Leckerfischschwarm",
-- Fish Radicals
	["Sar'theris Striker"] = "Sar'theris-Barsch",
	["Savage Coast Blue Sailfin"] = "Blauwimpel von der ungezähmten Küste",
	["Misty Reed Mahi Mahi"] = "Nebelschilf-Mahi-Mahi",
	["Feralas Ahi"] = "Feralas Ahi",
	["Spotted Sunfish"] = "Gefleckter Sonnenfisch",
	["Lightning Eel"] = "Zitteraal",
	["Plated Armorfish"] = "Panzerfisch",
	["Darkshore Grouper"] = "Dunkelküstenbarsch",
	["Speckled Tastyfish"] = "Gesprenkelter Leckerfisch",
	["Keefer's Angelfish"] = "Keefers Engelfisch",
	["Dezian Queenfish"] = "Dezianischer Königinnenfisch",
	--["Brownell's Blue Striped Racer"] = 
	["Stonescale Eel"] = "Steinschuppenaal",
	["Oily Blackmouth"] = "Öliges Schwarzmaul",
	["Firefin Snapper"] = "Feuerflossenschnapper",
	["Oil Covered Fish"] = "Ölbedeckter Fisch",
	["Sickly Looking Fish"] = "Kränklich aussehender Fisch", -- check
	["Raw Brilliant Smallfish"] = "Roher glänzender Kleinfisch",
	["Raw Bristle Whisker Catfish"] = "Roher Stoppelfühlerwels",
	["Raw Glossy Mightfish"] = "Roher glänzender Machtfisch",
	["Raw Greater Sagefish"] = "Roher großer Weisenfisch",
	["Raw Loch Frenzy"] = "Roher Lochfrenzy",
	["Raw Longjaw Mud Snapper"] = "Roher langzahniger Matschschnapper",
	["Raw Mithril Head Trout"] = "Rohe Mithrilkopfforelle",
	["Raw Nightfin Snapper"] = "Roher Nachtflossenschnapper",
	["Raw Rainbow Fin Albacore"] = "Roher Regenbogenflossenthunfisch",
	["Raw Redgill"] = "Roher Regenbogenflossenthunfisch",
	["Raw Rockscale Cod"] = "Roher Steinschuppenkabeljau",
	["Raw Sagefish"] = "Roher Weisenfisch",
	["Raw Slitherskin Mackerel"] = "Rohe Glitschhautmakrele",
	["Raw Spotted Yellowtail"] = "Roher Tüpfelgelbschwanz",
	["Raw Summer Bass"] = "Roher Sommerbarsch",
	["Raw Sunscale Salmon"] = "Roher Sonnenschuppenlachs",
	["Raw Whitescale Salmon"] = "Roher Weißschuppenlachs",
	["Darkclaw Lobster"] = "Dunkelklauenhummer",
	["Deviate Fish"] = "Deviatfisch",
	["Large Raw Mightfish"] = "Großer roher Machtfisch",
	["Winter Squid"] = "Winterkalmar",
	--["Felblood Snapper"] = 
	--["Figluster's Mudfish"] = 
	--["Furious Crawdad"] = 
	--["Golden Darter"] = 
	--["Icefin Bluefish"] = 
	--["Spotted Feltail"] = 
	--["Zangarian Sporefish"] = 
-- Minerals and elements Radicals
	["Mote of Fire"] = "Feuerpartikel",
	["Mote of Earth"] = "Erdpartikel",
	["Mote of Life"] = "Lebenspartikel",
	["Mote of Mana"] = "Manapartikel",
	["Mote of Shadow"] =  "Schattenpartikel", -- via engineer Extract Gas
	["Mote of Water"] =  "Wasserpartikel", -- fished
	["Living Ruby"] = "Lebendiger Rubin",
	["Noble Topaz"] = "Edeltopas",
	["Star of Elune"] = "Stern der Elune",
	["Nightseye"] = "Nachtauge",
	["Dawnstone"] = "Dämmerstein",
	["Malachite"] = "Malachit",
	["Tigerseye"] = "Tigerauge",
	["Shadowgem"] = "Schattenedelstein",
	["Moss Agate"] = "Moosachat",
	["Lesser Moonstone"] = "Geringer Mondstein",
	["Jade"] = "Jade",
	["Aquamarine"] = "Aquamarin",
	["Star Ruby"] = "Sternrubin",
	["Blue Sapphire"] = "Blauer Saphir",
	["Huge Emerald"] = "Gewaltiger Smaragd",
	["Azerothian Diamond"] = "Azerothianischer Diamant",
	["Large Opal"] = "Großer Opal",
	["Blood of the Mountain"] = "Blut des Berges",
	["Large Obsidian Shard"] = "Großer Obsidiansplitter",
	["Small Obsidian Shard"] = "Kleiner Obsidiansplitter",
	["Souldarite"] = "Seelenit",
	["Black Diamond"] = "Schwarzer Diamant",
	["Talasite"] = "Talasit",
	["Citrine"] = "Citrin",
	["Black Vitriol"] = "Schwarzes Vitriol",
	["Arcane Crystal"] = "Arkankristall",
	["Deep Peridot"] = "Tiefenperidot",
	["Shadow Draenite"] = "Schattendraenit",
	["Golden Draenite"] = "Golddraenit",
	["Blood Garnet"] = "Blutgranat",
	["Flame Spessarite"] = "Flammenspessarit",
	["Azure Moonstone"] = "Azurmondstein",
	["Rough Stone"] = "Rauer Stein",
	["Coarse Stone"] = "Grober Stein",
	["Dense Stone"] = "Verdichteter Stein",
	["Heavy Stone"] = "Schwerer Stein",
	["Solid Stone"] = "Robuster Stein",
-- Leather Radicals
	["Knothide Leather"] = "Knotenhautleder",
	["Heavy Leather"] = "Schweres Leder",
	["Thick Leather"] = "Dickes Leder",
	["Light Leather"] = "Leichtes Leder",
	["Medium Leather"] = "Mittleres Leder",
	["Rugged Leather"] = "Unverwüstliches Leder",
	["Ruined Leather Scraps"] = "Verdorbene Lederfetzen",
	["Light Hide"] = "Leichter Balg",
	["Medium Hide"] = "Mittlerer Balg",
	["Thick Hide"] = "Dicker Balg",
	["Rugged Hide"] = "Unverwüstlicher Balg",
	["Heavy Hide"] = "Schwerer Balg",
	["Shadowcat Hide"] = "Schattenkatzenbalg",
	["Black Whelp Scale"] = "Schwarze Welpenschuppe",
	["Deviate Scale"] = "Deviatschuppe",
	["Perfect Deviate Scale"] = "Perfekte Deviatschuppe",
	["Red Whelp Scale"] = "Rote Welpenschuppe",
	["Green Whelp Scale"] = "Grüne Welpenschuppe",
	["Scorpid Scale"] = "Skorpidschuppe",
	["Worn Dragonscale"] = "Abgenutzte Drachenschuppe",
	["Turtle Scale"] = "Schildkrötenschuppe",
	["Thick Wolfhide"] = "Dicker Wolfsbalg",
	["Green Dragonscale"] = "Grüne Drachenschuppe",
	["Heavy Scorpid Scale"] = "Schwere Skorpidschuppe",
	["Chimera Leather"] = "Schimärenleder",
	["Warbear Leather"] = "Kriegsbärenleder",
	["Frostsaber Leather"] = "Frostsäblerleder",
	["Black Dragonscale"] = "Schwarze Drachenschuppe",
	["Blue Dragonscale"] = "Blaue Drachenschuppe",
	["Red Dragonscale"] = "Rote Drachenschuppe",
	["Brillian Chromatic Scale"] = "Glänzende chromatische Schuppe",
	["Dreamscale"] = "Traumschuppe",
	["Scale of Onyxia"] = "Schuppe von Onyxia",
	["Primal Tiger Leather"] = "Urzeitliches Tigerleder",
	["Primal Bat Leather"] = "Urzeitliches Fledermausleder",
	["Devilsaur Leather"] = "Teufelssaurierleder",
	["Silithid Chitin"] = "Silithidenchitin",
	["Heavy Silithid Carapace"] = "Schwerer Silithidenknochenpanzer",
	["Light Silithid Carapace"] = "Leichter Silithidenknochenpanzer",
	["Fel Scales"] = "Teufelsschuppen", --check
	["Core Leather"] = "Kernhundleder",
	["Knothide Leather Scraps"] = "Knotenhautlederfetzen",
	["Thick Clefthoof Leather"] = "Dickes Grollhufleder",
	["Cobra Scales"] = "Kobraschuppen", -- check
	["Fel Hide"] = "Teufelsbalg",
	["Crystal Infused Leather"] = "Kristalldurchdrungenes Leder", 
	["Zhevra Leather"] = "Zhevraleder",
	--["Nether Dragonscales"] = "Netherdrachenschuppe",
	["Wind Scales"] = "Windschuppe",
-- Misc Radicals collected via world containers and monsters
	["Blood of Heroes"] = "Blut von Helden",
	["Blue Power Crystal"] = "Blauer Machtkristall",
	["Green Power Crystal"] = "Grüner Machtkristall",
	["Red Power Crystal"] = "Roter Machtkristall",
	["Yellow Power Crystal"] = "Gelber Machtkristall",
	["Black Pearl"] = "Schwarze Perle",
	["Golden Pearl"] = "Goldene Perle",
	["Iridescent Pearl"] = "Schillernde Perle",
	["Jaggal Pearl"] = "Jaggalperle",
	["Shadow Pearl"] = "Schattenperle",
	["Small Lustrous Pearl"] = "Kleine irisierende Perle",
	["Blue Pearl"] = "Blaue Perle",
	["Righteous Orb"] = "Rechtschaffene Kugel",
	["Sharp Claw"] = "Scharfe Klaue",
	["Large Venom Sac"] = "Großer Giftbeutel",
	["Small Flame Sac"] = "Kleiner Flammenbeutel",
	["Large Fang"] = "Großer Fangzahn",
	["Volatile Rum"] = "Flüchtiger Rum",
	["Elemental Earth"] = "Elementarerde",
	["Essence of Earth"] = "Essenz der Erde",
	["Core of Earth"] = "Erdenkern",
	["Elemental Air"] = "Elementarluft",
	["Essence of Air"] = "Essenz der Luft",
	["Elemental Water"] = "Elementarwasser",
	["Essence of Water"] = "Essenz des Wassers",
	["Globe of Water"] = "Kugel des Wassers",
	["Elemental Fire"] = "Elementarfeuer",
	["Essence of Fire"] = "Essenz des Feuers",
	["Heart of Fire"] = "Herz des Feuers",
	["Breath of Wind"] = "Odem des Windes",
	["Ichor of Undeath"] = "Sekret des Untodes",
	["Living Essence"] = "Lebende Essenz",
	["Essence of Undeath"] = "Essenz des Untodes",
	["Massive Mojo"] = "Gewaltig viel Mojo",
	["Powerful Mojo"] = "Mächtiges Mojo",
	["Flask of Mojo"] = "Fläschchen Mojo",
	["Flask of Big Mojo"] = "Fläschchen großes Mojo",
	["Linen Cloth"] = "Leinenstoff",
	["Wool Cloth"] = "Wollstoff",
	["Silk Cloth"] = "Seidenstoff",
	["Mageweave Cloth"] = "Magiestoff",
	["Runecloth"] = "Runenstoff",
	["Demonic Rune"] = "Dämonische Rune",
	["Lava Core"] = "Lavakern",
	["Fiery Core"] = "Feuerkern",
	["Guardian Stone"] = "Wächterstein",
	["Frozen Rune"] = "Gefrorene Rune",
	["Wicked Claw"] = "Tückische Klaue",
	["Dark Rune"] = "Dunkelrune",
	["Skin of Shadow"] = "Schattenhaut",
	["Sulfuron Ingot"] = "Sulfuronblock",
	["Jet Black Feather"] = "Pechschwarze Feder",
	["Neatherweave Cloth"] = "Netherstoff",
	["Larval Acid"] = "Larvensäure",
	["Fused Wiring"] = "Verschmorte Verkabelung",
	["Shadow Silk"] = "Schattenseide",
	["Thick Spider's Silk"] = "Dicke Spinnenseide",
	["Heart of Wild"] = "Herz der Wildnis",
	["Ironweb Spider Silk"] = "Eisenweberseide",
	["Slimy Murloc Scale"] = "Schleimige Murlocschuppe",
	["Long Tail Feather"] = "Lange Schwanzfeder",
	["Raptor Hide"] = "Raptorbalg",
	["Thick Murloc Scale"] = "Dicke Murlocschuppe",
	["Coarse Gorilla Hair"] = "Grobes Gorillahaar",
	["Ironfeather"] = "Eisenfeder",
	["Spider's Silk"] = "Spinnenseide",
	["Long Elegant Feather"] = "Lange elegante Feder",
	["Felcloth"] = "Teufelsstoff",
	["Netherweb Spider Silk"] = "Netherweberseide",
	--["Soul Essence"] = "Seelenessenz",
-- Misc world nodes 
	["Battered Chest"] = "Ramponierte Truhe",
	["Battered Footlocker"] = "Ramponierte Schließkiste",
	--["Bound Adamantite Chest"] = 
	--["Bound Fel Iron Chest"] = 
	["Box of Assorted Parts"] = "Kiste mit verschiedenen Ersatzteilen", --check
	["Burial Chest"] = "Vergrabene Schließkiste", --check
	--["Coilskar Chest"] = 
	--["Dented Footlocker"] = 
	["Giant Clam"] = "Riesenmuschel",
	["Large Battered Chest"] = "Große ramponierte Truhe",
	["Large Iron Bound Chest"] = "Große eisenverstärke Truhe",
	["Large Mithril Bound Chest"] = "Große mithrilverstärkte Truhe",
	["Large Solid Chest"] = "Große robuste Truhe",
	["Locked Chest"] = "Verschlossene Kiste",
	["Mossy Footlocker"] = "Moosbedeckte Schließkiste",
	["Reinforced Fel Iron Chest"] = "Verstärkte Teufelseisenschließkiste",
	["Rusty Chest"] = "Rostige Truhe",
	["Scarlet Footlocker"] = "Scharlachrote Schließkiste",
	--["Solid Adamantite Chest"] = 
	["Solid Chest"] = "Robuste Truhe",
	--["Solid Fel Iron Chest"] = 
	["Stolen Chest"] = "Gestohlene Truhe",
	--["Tattered Chest"] =
	["Un'Goro Dirt Pile"] = "Erdhaufen von Un'Goro",
	["Waterlogged Footlocker"] = "Durchnässte Schließkiste",
	--["Wicker Chest"] = 
	["Worn Chest"] = "Abgenutzte Truhe",
}end)
-- End localizations

-- External libraries
local bs = AceLibrary("Babble-Spell-2.2")
local AceEvent = AceLibrary("AceEvent-2.0")
-- lookup tables
local fish_nodes = {}
local herb_nodes = {}
local metal_nodes = {}
local drop_loots = {}
local world_nodes = {}
local spell_map = {}

spell_map["Mining"] = true
spell_map["Fising"] = true
spell_map["Herbalism"] = true
spell_map["Skinning"] = true
spell_map["Extract Gas"] = true
spell_map["Prospecting"] = true
spell_map["Pick Lock"] = true
spell_map["Opening"] = true

local spell,last_spell, found_node
local loot_slots = {
	[1] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
	},
	[2] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
	},
	[3] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
	},
	[4] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
	},
	[5] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
	},
	[6] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
	},
	[7] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
 	},
	[8] = {
		["name"] = "",
		count = 0,
		quest = false,
		giver = false,
	},
}

-- frame reference and accessor
local frame, tooltipper
function Talismonger:getFrame()
	return frame
end
function Talismonger:getTooltip()
	return tooltipper
end
local function ClearLootList()
	for idx=1,8 do
		loot_slots[idx].name = ""
		loot_slots[idx].count = 0
		loot_slots[idx].quest = false
		loot_slots[idx].giver = false
	end
end
-- event handlers
local function LOOT_CLOSED()
	ClearLootList()
	last_spell = "None"
	spell = "None"
	found_node = false
end

local function GetLootSlot(index)
	if index < 9 and index > 0 then
		return loot_slots[index].name, loot_slots[index].count, loot_slots[index].quest, loot_slots[index].giver
	end
end
local function PopulateLootList()
	ClearLootList()
	for idx = 1, GetNumLootItems(), 1 do
		if LootSlotIsItem(idx) then
			local _,name,count,_ = GetLootSlotInfo(idx)
			local sLink = GetLootSlotLink(idx);
			local questGiver = false
			local questItem = false
			if sLink then
				tooltipper:SetOwner(UIParent, "ANCHOR_PRESERVE")
				tooltipper:ClearLines()
				tooltipper:SetHyperlink(sLink)
				for i=2,tooltipper:NumLines() do
					local textline = getglobal("TalismongerLibTooltipTextLeft"..i)
					local text = textline:GetText()
					if text == ITEM_STARTS_QUEST then
						questGiver = true
					elseif text == ITEM_BIND_QUEST then
						questItem = true
					end
				end
				tooltipper:Hide()
			end
			
			-- how do we get the description withou the item in a tooltip?
			if idx > 0 and idx < 9 then
				loot_slots[idx].name = name
				loot_slots[idx].count = count
				loot_slots[idx].quest = questItem 
				loot_slots[idx].giver = questGiver
			end
		end
	end
end

local function GetWorldTarget()
	if found_node then
		return
	end
	local what = GameTooltipTextLeft1:GetText();
	if what and Talismonger:HasReverseTranslation(what) then
		what = Talismonger:GetReverseTranslation(what)
		if metal_nodes[what] or herb_nodes[what] or world_nodes[what] or fish_nodes[what] then
			AceEvent.TriggerEvent(Talismonger,"Talismonger_NodeFound",last_spell,what)
			found_node = true
		end
	elseif what and world_nodes[what] then
		AceEvent.TriggerEvent(Talismonger,"Talismonger_LocalizedNodeFound",last_spell,what)
		found_node = true		
	end
end


local function UI_ERROR_MESSAGE(msg)
	local what = GameTooltipTextLeft1:GetText();
	if what and msg:find(bs["Mining"]) and Talismonger:HasReverseTranslation(what) then
		AceEvent.TriggerEvent(Talismonger,"Talismonger_NodeFound","Mining",Talismonger:GetReverseTranslation(what))	
	end
	if what and msg:find(bs["Herbalism"]) and Talismonger:HasReverseTranslation(what) then
		AceEvent.TriggerEvent(Talismonger,"Talismonger_NodeFound","Herbalism",Talismonger:GetReverseTranslation(what))	
	end
end

local function LOOT_SLOT_CLEARED(index)
	local lspell = last_Spell
	if spell_map[last_spell] then
		local lootName,lootCount, questItem, questGiver = GetLootSlot(index)
		if questItem then
			lspell = "Questing"
		end
		if questGiver then
			lspell = "QuestGiver"
		end
		if Talismonger:HasReverseTranslation(lootName) then
			AceEvent.TriggerEvent(Talismonger,"Talismonger_LootedRadical",lspell,Talismonger:GetReverseTranslation(lootName),lootCount)
		elseif questItem or questGiver or drop_loots[lootName] then
			AceEvent.TriggerEvent(Talismonger,"Talismonger_LocalizedLootedRadical",lspell,lootName,lootCount)	
		end
	else
		local lootName,lootCount,questItem, questGiver = GetLootSlot(index)
		lspell = "World"
		if questItem then
			lspell = "Questing"
		end
		if questGiver then
			lspell = "QuestGiver"
		end
		if Talismonger:HasReverseTranslation(lootName) and drop_loots[Talismonger:GetReverseTranslation(lootName)] then
			AceEvent.TriggerEvent(Talismonger,"Talismonger_LootedRadical",lspell,Talismonger:GetReverseTranslation(lootName),lootCount)
		elseif questItem or questGiver or drop_loots[lootName] then
			AceEvent.TriggerEvent(Talismonger,"Talismonger_LocalizedLootedRadical",lspell,lootName,lootCount)		
		end
	end
end

function LOOT_OPENED()
		PopulateLootList()
end

local function CURSOR_UPDATE()
	if found_node then 
		return 
	end
	if spell_map[last_spell] then 
		GetWorldTarget()
	end
end

local function UNIT_SPELLCAST_STOP(unit)
	if unit ~= "player" then 
		return 
	end
	if spell_map[last_spell] then -- == "Opening" or last_spell == "Pick Lock" then
		GetWorldTarget()
	end
	last_spell = spell
	spell = "None"
end

local function UNIT_SPELLCAST_FAILED(unit)
	if unit ~= "player" then 
		return 
	end
	spell = "None"
	last_spell = "None"
end

local function UNIT_SPELLCAST_INTERRUPTED(unit)
	if unit ~= "player" then 
		return 
	end
	spell = "None"
	last_spell = "None"
end

local function UNIT_SPELLCAST_SENT(unit,spellcast,rank,target)
	if unit ~= "player" then
		return
	end
	if bs:HasReverseTranslation(spellcast) and spell_map[bs:GetReverseTranslation(spellcast)] then
		spell = bs:GetReverseTranslation(spellcast)
		last_spell = spell
	else
		spell = "None"
		last_spell = "None"
	end
	found_node = false
end

-- What is the minimum skill to harvest this node
function Talismonger:GetNodeSkill(what)
	local hskill = herb_nodes[what] or herb_nodes[self:HasReverseTranslation(what) and self:GetReverseTranslation(what) or false]
	local fskill = fish_nodes[what] or fish_nodes[self:HasReverseTranslation(what) and self:GetReverseTranslation(what) or false]
	local oskill = metal_nodes[what] or metal_nodes[self:HasReverseTranslation(what) and self:GetReverseTranslation(what) or false]
	if hskill then return hskill end
	if fskill then return fskill end
	if oskill then return oskill end
	return nil
end

function Talismonger:AddWorldNode(localizedName)
	world_nodes[localizedName] = true
end
function Talismonger:AddLoot(localizedName)
	drop_loots[localizedName] = true
end
local function populate()
	-- fish
	fish_nodes["Floating Wreckage"] = 130
	fish_nodes["Patch of Elemental Water"] = 330
	fish_nodes["Floating Debris"] = 130
	fish_nodes["Oil Spill"] = 20
	fish_nodes["Firefin Snapper School"] = 55
	fish_nodes["Greater Sagefish School"] = 130
	fish_nodes["Oily Blackmouth School"] = 55
	fish_nodes["Sagefish School"] = 130
	fish_nodes["School of Deviate Fish"] = 55
	fish_nodes["Stonescale Eel Swarm"] = 205
	fish_nodes["Muddy Churning Water"] = 330
	fish_nodes["Highland Mixed School"] = 430
	fish_nodes["Pure Water"] = 430
	fish_nodes["Bluefish School"] = 380
	fish_nodes["Feltail School"] = 355
	fish_nodes["Mudfish School"] = 380
	fish_nodes["School of Darter"] = 430
	fish_nodes["Sporefish School"] = 305
	fish_nodes["Steam Pump Flotsam"] = 305
	fish_nodes["School of Tastyfish"] = 130
	-- metals
	metal_nodes["Copper Vein"] = 1
	metal_nodes["Tin Vein"] = 65
	metal_nodes["Iron Deposit"] = 125
	metal_nodes["Silver Vein"] = 75
	metal_nodes["Gold Vein"] = 155
	metal_nodes["Mithril Deposit"] = 175
	metal_nodes["Ooze Covered Mithril Deposit"] = 175
	metal_nodes["Truesilver Deposit"] = 230
	metal_nodes["Ooze Covered Silver Vein"] = 75
	metal_nodes["Ooze Covered Gold Vein"] = 155
	metal_nodes["Ooze Covered Truesilver Deposit"] = 230
	metal_nodes["Ooze Covered Rich Thorium Vein"] = 275
	metal_nodes["Ooze Covered Thorium Vein"] = 245
	metal_nodes["Small Thorium Vein"] = 245
	metal_nodes["Rich Thorium Vein"] = 275
	metal_nodes["Hakkari Thorium Vein"] = 245
	metal_nodes["Dark Iron Deposit"] = 230
	metal_nodes["Lesser Bloodstone Deposit"] = 75
	metal_nodes["Incendicite Mineral Vein"] = 65
	metal_nodes["Indurium Mineral Vein"] = 150
	metal_nodes["Fel Iron Deposit"] = 300
	metal_nodes["Adamantite Deposit"] = 325
	metal_nodes["Rich Adamantite Deposit"] = 350
	metal_nodes["Khorium Vein"] = 375
	metal_nodes["Large Obsidian Chunk"] = 305
	metal_nodes["Small Obsidian Chunk"] = 305
	-- herbs
	herb_nodes["Peacebloom"] = 1
	herb_nodes["Silverleaf"] = 1
	herb_nodes["Earthroot"]  = 15
	herb_nodes["Mageroyal"]  = 50
	herb_nodes["Briarthorn"] = 70
	herb_nodes["Stranglekelp"] = 85
	herb_nodes["Bruiseweed"] = 100
	herb_nodes["Wild Steelbloom"] = 115
	herb_nodes["Grave Moss"] = 120
	herb_nodes["Kingsblood"] = 125
	herb_nodes["Liferoot"] = 150
	herb_nodes["Fadeleaf"] = 160
	herb_nodes["Goldthorn"] = 170
	herb_nodes["Khadgar's Whisker"] = 185
	herb_nodes["Wintersbite"] = 195
	herb_nodes["Firebloom"] = 205
	herb_nodes["Purple Lotus"] = 210
	herb_nodes["Arthas' Tears"] = 220
	herb_nodes["Sungrass"] = 230
	herb_nodes["Blindweed"] = 235
	herb_nodes["Ghost Mushroom"] = 245
	herb_nodes["Gromsblood"] = 250
	herb_nodes["Golden Sansam"] = 260
	herb_nodes["Dreamfoil"] = 270
	herb_nodes["Mountain Silversage"] = 280
	herb_nodes["Plaguebloom"] = 285
	herb_nodes["Icecap"] = 290
	herb_nodes["Black Lotus"] = 300
	herb_nodes["Felweed"] = 300
	herb_nodes["Dreaming Glory"] = 315
	herb_nodes["Terocone"] = 325
	herb_nodes["Ancient Lichen"] = 375
	herb_nodes["Mana Thistle"] = 375
	herb_nodes["Netherbloom"] = 350
	herb_nodes["Nightmare Vine"] = 365
	herb_nodes["Ragveil"] = 325
	herb_nodes["Flame Cap"] = 335
	-- drop loots
	drop_loots["Blood of Heroes"] = true
	drop_loots["Blue Power Crystal"] = true
	drop_loots["Green Power Crystal"] = true
	drop_loots["Red Power Crystal"] = true
	drop_loots["Yellow Power Crystal"] = true
	drop_loots["Black Pearl"] = true
	drop_loots["Golden Pearl"] = true
	drop_loots["Iridescent Pearl"] = true
	drop_loots["Jaggal Pearl"] = true
	drop_loots["Shadow Pearl"] = true
	drop_loots["Small Lustrous Pearl"] = true
	drop_loots["Blue Pearl"] = true
	drop_loots["Righteous Orb"] = true
	drop_loots["Sharp Claw"] = true
	drop_loots["Large Venom Sac"] = true
	drop_loots["Small Flame Sac"] = true
	drop_loots["Large Fang"] = true
	drop_loots["Volatile Rum"] = true
	drop_loots["Elemental Earth"] = true
	drop_loots["Essence of Earth"] = true
	drop_loots["Core of Earth"] = true
	drop_loots["Elemental Air"] = true
	drop_loots["Essence of Air"] = true
	drop_loots["Elemental Water"] = true
	drop_loots["Essence of Water"] = true
	drop_loots["Globe of Water"] = true
	drop_loots["Elemental Fire"] = true
	drop_loots["Essence of Fire"] = true
	drop_loots["Heart of Fire"] = true
	drop_loots["Breath of Wind"] = true
	drop_loots["Ichor of Undeath"] = true
	drop_loots["Living Essence"] = true
	drop_loots["Essence of Undeath"] = true
	drop_loots["Massive Mojo"] = true
	drop_loots["Powerful Mojo"] = true
	drop_loots["Flask of Mojo"] = true
	drop_loots["Flask of Big Mojo"] = true
	drop_loots["Linen Cloth"] = true
	drop_loots["Wool Cloth"] = true
	drop_loots["Silk Cloth"] = true
	drop_loots["Mageweave Cloth"] = true
	drop_loots["Runecloth"] = true
	drop_loots["Demonic Rune"] = true
	drop_loots["Lava Core"] = true
	drop_loots["Fiery Core"] = true
	drop_loots["Guardian Stone"] = true
	drop_loots["Frozen Rune"] = true
	drop_loots["Wicked Claw"] = true
	drop_loots["Dark Rune"] = true
	drop_loots["Skin of Shadow"] = true
	drop_loots["Sulfuron Ingot"] = true
	drop_loots["Jet Black Feather"] = true
	drop_loots["Neatherweave Cloth"] = true
	drop_loots["Larval Acid"] = true
	drop_loots["Fused Wiring"] = true
	drop_loots["Shadow Silk"] = true
	drop_loots["Thick Spider's Silk"] = true
	drop_loots["Heart of Wild"] = true
	drop_loots["Ironweb Spider Silk"] = true
	drop_loots["Slimy Murloc Scale"] = true
	drop_loots["Long Tail Feather"] = true
	drop_loots["Raptor Hide"] = true
	drop_loots["Thick Murloc Scale"] = true
	drop_loots["Coarse Gorilla Hair"] = true
	drop_loots["Ironfeather"] = true
	drop_loots["Spider's Silk"] = true
	drop_loots["Long Elegant Feather"] = true
	drop_loots["Felcloth"] = true
	drop_loots["Netherweb Spider Silk"] = true
	drop_loots["Soul Essence"] = true
	-- world loot nodes should I add these?
	world_nodes["Battered Chest"] = true
	world_nodes["Battered Footlocker"] = true
	world_nodes["Bound Adamantite Chest"] = true
	world_nodes["Bound Fel Iron Chest"] = true
	world_nodes["Box of Assorted Parts"] = true
	world_nodes["Burial Chest"] = true
	world_nodes["Coilskar Chest"] = true
	world_nodes["Dented Footlocker"] = true
	world_nodes["Giant Clam"] = true
	world_nodes["Large Battered Chest"] = true
	world_nodes["Large Iron Bound Chest"] = true
	world_nodes["Large Mithril Bound Chest"] = true
	world_nodes["Large Solid Chest"] = true
	world_nodes["Locked Chest"] = true
	world_nodes["Mossy Footlocker"] = true
	world_nodes["Reinforced Fel Iron Chest"] = true
	world_nodes["Rusty Chest"] = true
	world_nodes["Scarlet Footlocker"] = true
	world_nodes["Solid Adamantite Chest"] = true
	world_nodes["Solid Chest"] = true
	world_nodes["Solid Fel Iron Chest"] = true
	world_nodes["Stolen Chest"] = true
	world_nodes["Tattered Chest"] = true
	world_nodes["Un'Goro Dirt Pile"] = true
	world_nodes["Waterlogged Footlocker"] = true
	world_nodes["Wicker Chest"] = true
	world_nodes["Worn Chest"] = true

end

local function external(self,major,instance)
	if major == "AceConsole-2.0" then
		local print = print
		if DEFAULT_CHAT_FRAME then
			function print(text)
				DEFAULT_CHAT_FRAME:AddMessage(text)
			end
		end
		local tx = {
			name = MAJOR_VERSION.."." .. string.gsub(MINOR_VERSION, ".-(%d+).*", "%1"),
			desc = "A library to provide events and translations about gathering professions",
			type = 'group',
			args = {
				skill = {
					name = "Skill",
					desc = "Get skill needed for a given node",
					type = "text",
					usage = "<full node name> (Case sensitive)",
					get = false,
					set = function(text)
						local skill = Talismonger:GetNodeSkill(text)
						if skill then
							print("|cffffff7f"..text.."|r requires a minimum skill of "..skill)
						else
							print("Node "..text.." not found")
						end
					end,
				}
			}
		}
		instance:RegisterChatCommand({"/talismonger"}, tx, "TALISMONGER")
	end
end

local function activate(self, oldLib, oldDeactive)
	Talismonger = self
	spell = "None"
	last_spell = "None"
	found_node = false
	-- hidden tooltip frame
	tooltipper = oldLib and oldLib:GetTooltip() or CreateFrame("GameTooltip","TalismongerLibTooltip",UIParent,"GameTooltipTemplate")
	tooltipper:SetWidth(1)
	tooltipper:SetHeight(1)
	tooltipper:Hide()
	-- create a frame reference so we dont get translations errors
	frame = oldLib and oldLib:getFrame() or CreateFrame("Frame", "TalismongerLibFrame", UIParent)
	frame:UnregisterAllEvents()
	frame:RegisterEvent("UNIT_SPELLCAST_SENT") 
	frame:RegisterEvent("UNIT_SPELLCAST_STOP")
	frame:RegisterEvent("UNIT_SPELLCAST_FAILED")
	frame:RegisterEvent("UNIT_SPELLCAST_INTERRUPTED")
	frame:RegisterEvent("CURSOR_UPDATE")
	frame:RegisterEvent("LOOT_OPENED")
	frame:RegisterEvent("LOOT_SLOT_CLEARED")	
	frame:RegisterEvent("LOOT_CLOSED")
	frame:RegisterEvent("UI_ERROR_MESSAGE")
	-- frame event handle
	frame:SetScript("OnEvent", function()
		if event == "UNIT_SPELLCAST_SENT" then
			UNIT_SPELLCAST_SENT(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "UNIT_SPELLCAST_STOP" then
			UNIT_SPELLCAST_STOP(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "UNIT_SPELLCAST_FAILED" then
			UNIT_SPELLCAST_FAILED(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "UNIT_SPELLCAST_INTERRUPTED" then
			UNIT_SPELLCAST_INTERRUPTED(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "LOOT_OPENED" then
			LOOT_OPENED(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "LOOT_SLOT_CLEARED" then
			LOOT_SLOT_CLEARED(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "LOOT_CLOSED" then
			LOOT_CLOSED(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "CURSOR_UPDATE" then
			CURSOR_UPDATE(arg1,arg2,arg3,arg4,arg5)
		end
		if event == "UI_ERROR_MESSAGE" then
			UI_ERROR_MESSAGE(arg1,arg2,arg3,arg4,arg5)
		end
	end)
	populate()
	if oldDeactivate then 
		oldDeactivate(oldLib) 
	end	
end

AceLibrary:Register(Talismonger, MAJOR_VERSION, MINOR_VERSION, activate,nil, external)
